# Google Slides Downloader
Simple module that lets you work with and download SVGs from a Google Slides presentation's raw html. It also identifies embedded transition effects, which lets you incorporate these into your application.

## Methods

### getHtml(url, callback)
accepts a url and a callback
the raw html from a url is passed into the callback, node style

### convertHtmlToSvgs(html)
converts an html string to a collection using htmlparser
and traverses the collection and gets the svg elements from it using the htmlTraverser
returns array of svgs
not async so simply returns result

### getSvgsFromUrl(url, callback)
accepts a url and a callback
an array of the svgs on an url location is passed into the callback, node style

### convertHtmlToEffectIds(html)
converts an html string into a collection using htmlparser
then traverses the collection and gets the IDs of the elements inside the svgs that have effects on them
returns an array of one array for each page in the presentation: each subarray is the list of IDs with effects on that page
ids include everything including if slide transitions have effects

### getEffectsFromUrl(url, callback)
from a url of a google slides, an array of arrays (one per page in presentation) with IDs of the svg elements with effects on them is passed into the callback, node style

### convertHtmlToElementEffects(html)
accepts an html and returns an array of arrays (one per page in presentation) with ids of the svg elements with effects on them, ordered by effect sequence
ids only include element effects, not slide transition effects

### getElementEffectsFromUrl(url, callback)
accepts a url and a callback
an array of arrays (one per page in presentation) with ids of the svg elements with effects on them, ordered by effect sequence, is passed into callback, node style
ids only include element effects, not slide transition effects
